1. Voids & Refunds
English
  • Español
  • English
  • Bienvenidos
  • ONLINE PAYMENTS
    • CARD
      • 1. Request a card token
      • 2. Make a charge or deferred charge
      • 3. Void a transaction
      • 4. Refund a transaction
      • 5. Request deferred options
      • 6. Authorize payments
      • 7. Capture an authorized payment
      • 8. Bin Info
      • 9. Bin Info V2
      • 10. Validate OTP
      • 11. Voucher
      • 5. Request deferred options
      • 8. Bin Info
      • 10. Validate OTP
      • 3. Void a transaction
      • 4. Refund a transaction
      • 6. Authorize payments
      • 1. Request a card token
      • 7. Capture an authorized payment
      • 11. Voucher
      • 2. Make a charge or deferred charge
      • 9. Bin Info V2
    • CASH IN
      • 1. Request a cash in token
      • 2. Init Transaction
      • 3. Transaction Status
      • 1. Request a cash in token
      • 2. Init Transaction
      • 3. Transaction Status
    • TRANSFER IN
      • 1. Get Bank List
      • 2. Request a Transfer In token
      • 3. Init Transaction
      • 4. Get Status
      • 1. Get Bank List
      • 4. Get Status
      • 2. Request a Transfer In token
      • 3. Init Transaction
    • TRANSFER OUT
      • 1. Get Bank List
      • 2. Request a Transfer Out token
      • 3. Init Transaction
      • 4. Get Status
      • 5. Wallet Balance
      • 2. Request a Transfer Out token
      • 1. Get Bank List
      • 5. Wallet Balance
      • 3. Init Transaction
      • 4. Get Status
    • ONE-CLICK & SCHEDULED PAYMENTS
      • 1. Request a recurring charge token
      • 2. Create a recurring charge
      • 3. Update recurring charge card data
      • 4. Make an One-click payment
      • 5. Cancel a recurring charge
      • 6. Update a recurring charge
      • 7. Add a temporary charge or discount
      • 8. Authorize payments
      • 9. Capture an authorized payment
      • 10. Get recurring charge Info
      • 3. Update recurring charge card data
      • 7. Add a temporary charge or discount
      • 10. Get recurring charge Info
      • 5. Cancel a recurring charge
      • 6. Update a recurring charge
      • 4. Make an One-click payment
      • 9. Capture an authorized payment
      • 8. Authorize payments
      • 2. Create a recurring charge
      • 1. Request a recurring charge token
    • PAYMENT BUTTON
      • 1. Create a payment button
      • 1. Create a payment button
    • SMARTLINKS V2
      • 1. Create a Smartlink
      • 2. Get a Smartlink
      • 3. Delete a Smartlink
      • 4. Update a Smartlink
      • 3. Delete a Smartlink
      • 4. Update a Smartlink
      • 1. Create a Smartlink
      • 2. Get a Smartlink
    • PAYMENT CREDENTIALS
      • 1. Create a credential
      • 2. Search credentials
      • 3. Advanced search
      • 4. Activate or deactivate
      • 5. Delete credential
      • 6. Update credential
      • 7. Regenerate a credential
      • 6. Update credential
      • 5. Delete credential
      • 4. Activate or deactivate
      • 2. Search credentials
      • 1. Create a credential
      • 3. Advanced search
      • 7. Regenerate a credential
    • COMMISSIONS
      • 1. Get Commission Configuration
      • 1. Get Commission Configuration
    • GATEWAY STATUS
      • 1. Get gateway status
      • 1. Get gateway status
    • ANALYTICS
      • 1. Get transactions list
      • 1. Get transactions list
    • ASYNC CARD RECURRING CHARGES
      • 1. Request a token
      • 2. Init an async card recurring charge
      • 3. Authorize payments
      • 4. Capture an authorized payment
      • 2. Init an async card recurring charge
      • 4. Capture an authorized payment
      • 1. Request a token
      • 3. Authorize payments
    • CARD ASYNC
      • 1. Request a card async token
      • 2. Init Transaction
      • 3. Authorize payments Copy
      • 4. Capture an authorized payment Copy
      • 5. Get Status
      • 4. Capture an authorized payment Copy
      • 5. Get Status
      • 3. Authorize payments Copy
      • 2. Init Transaction
      • 1. Request a card async token
  • CARD PRESENT PAYMENTS (API RAW) Copy
    • error-catalog
    • Test data
    • One-time payments
      • Single payment
    • Two-step-payments
      • Authorization and capture
    • Voids & Refunds
      • Void & Reverse
        POST
      • Refund a transaction
        POST
    • Card information
      • Balance inquiries
      • Get BIN Info
      • BIN info V2
      • Request deferred options
    • Query Transactions
      • Transaction Search
Perú 🇵🇪APPIAN-SUBMERCHANT-REGISTERMéxico 🇲🇽Ecuador 🇪🇨Chile 🇨🇱
Perú 🇵🇪APPIAN-SUBMERCHANT-REGISTERMéxico 🇲🇽Ecuador 🇪🇨Chile 🇨🇱
  1. Voids & Refunds

Refund a transaction

POST
/pos/v1/refund
Refund a previously authorized transaction identified by its transaction_reference number. The transaction reference is provided when a charge is successful.
For partial refunds, it is necessary to send the amount object.

Cardless operations#

You can perform a refund without requiring the reading of the card. Below you will find out how you can carry out a cardless operation:
Note
You can also check the information for a cardless reauthorization, capture or void.
To perform an operation without a card it is required to send the omit_card field with the value of true in the request. The fields required for a cardless operation are the following:
PropertyTypeAllowed values
amountObject
transaction_modeStringAuthorization
transaction_typeStringrefund
client_transaction_idString
transaction_referenceString
omit_cardBooleantrue
Note
Cardless operations are available for Visa and Mastercard credit and debit cards, and are currently in Beta phase in Peru.

Example of a cardless operation#

To perform a cardless operation, the omit_card field is sent with the value of true and then the other non-required fields are omitted:
{
    "amount": {
        "currency": "PEN",
        "iva": 0.0,
        "subtotal_iva": 0.0,
        "subtotal_iva0": 600
    },
    "transaction_mode": "Authorization",
    "transaction_type": "refund",
    "client_transaction_id": "6680eadc-6c8d-44aa-8ca0-18e061c1472a",
    "transaction_reference": "f2f29080-0214-42c0-95a5-77ecf3434cd7",
    "omit_card": true
}

Request

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
OK
Body

🟠400
🟠401
🟠412
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://api-uat.kushkipagos.com/pos/v1/refund' \
--header 'Private-Credential-Id;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "amount": {
        "currency": "MXN",
        "iva": 0,
        "subtotal_iva": 0,
        "subtotal_iva0": 600,
        "tip": 0,
        "extra_taxes": {
            "airport_tax": 0,
            "iac": 0,
            "ice": 0,
            "travel_agency": 0
        }
    },
    "card_details": {
        "enc_tlv": "CE447A062C49774934E42A7F826668C0C478E38402C158062EE794C0E471B43EA8CE49C256C2C8B157526B0B2BE74FC23F65E18D4F52B99A1A0910E6CCD9B11A32D6D537E2B6E2B011C89569DE6A3D53318080BC77E0E70B398ED3083FD7366CCF8FB4DBF34A116E6D52CFBEF26371878D842034E5029EF62DF235D2C427F04102E451773D9E8975978917E3BC531327702967052E239F8C592734AE14688E603C52B858FC1D97B763AE623603F1475FFFB065EC07AF7A29",
        "pin_ksn": "FFFF4357486333600002",
        "reading_type": "ICC",
        "tracks": {
            "enc_track2": "283587285CE10278E7FA50AD5C97CFFE87F472C9FE6406F8",
            "track_ksn": "FFFF4357486333600002"
        }
    },
    "card": {
        "card_holder_name": "CUST IMP MC 103"
    },
    "contact_details": {
        "document_number": "",
        "document_type": "-1",
        "email": "",
        "first_name": "",
        "last_name": "",
        "second_last_name": "",
        "phone_number": ""
    },
    "pos_details": {
        "terminal_id": "PB04216R20537",
        "brand": "SUNMI",
        "location": {
            "latitude": -0.22480833333333333,
            "longitude": -78.487955
        },
        "model": "P2-EU",
        "version": "Kushki SunmiV1.1.26",
        "has_print": true
    },
    "country": "MEX",
    "is_deferred": false,
    "client_transaction_id": "6680eadc-6c8d-44aa-8ca0-18e061c1472a",
    "transaction_type": "refund",
    "transaction_mode": "Authorization",
    "is_cashback": false,
    "cvm_type": "none"
}'
Response Response Example
200 - GL - Refund a transaction
{
    "additional_amounts": {
        "account_type": "",
        "amount": 0,
        "amount_type": "",
        "card_type": "",
        "currency_code": ""
    },
    "authorized_amount": 500,
    "cvm_type": "",
    "F11": "",
    "franchise": "PROSA",
    "kushki_response": {
        "code": "000",
        "message": "Approved or completed Successfully."
    },
    "message_fields": {
        "F38": "211039",
        "F39": "00"
    },
    "transaction_reference": "f35dfb98-3a41-4192-9e92-41d29ed12a81",
    "ticket_number": "111727462978861299",
    "transaction_status": "APPROVAL",
    "transaction_type": "Refund"
}
Modified at 2026-04-16 14:01:17
Previous
Void & Reverse
Next
Balance inquiries
Built with